<?php
 namespace MailPoetVendor\Doctrine\DBAL; if (!defined('ABSPATH')) exit; use MailPoetVendor\Doctrine\Common\Cache\Cache; use MailPoetVendor\Doctrine\DBAL\Logging\SQLLogger; use MailPoetVendor\Doctrine\DBAL\Schema\AbstractAsset; use function preg_match; class Configuration { protected $_attributes = []; public function setSQLLogger(?\MailPoetVendor\Doctrine\DBAL\Logging\SQLLogger $logger = null) { $this->_attributes['sqlLogger'] = $logger; } public function getSQLLogger() { return $this->_attributes['sqlLogger'] ?? null; } public function getResultCacheImpl() { return $this->_attributes['resultCacheImpl'] ?? null; } public function setResultCacheImpl(\MailPoetVendor\Doctrine\Common\Cache\Cache $cacheImpl) { $this->_attributes['resultCacheImpl'] = $cacheImpl; } public function setFilterSchemaAssetsExpression($filterExpression) { $this->_attributes['filterSchemaAssetsExpression'] = $filterExpression; if ($filterExpression) { $this->_attributes['filterSchemaAssetsExpressionCallable'] = $this->buildSchemaAssetsFilterFromExpression($filterExpression); } else { $this->_attributes['filterSchemaAssetsExpressionCallable'] = null; } } public function getFilterSchemaAssetsExpression() { return $this->_attributes['filterSchemaAssetsExpression'] ?? null; } private function buildSchemaAssetsFilterFromExpression($filterExpression) : callable { return static function ($assetName) use($filterExpression) { if ($assetName instanceof \MailPoetVendor\Doctrine\DBAL\Schema\AbstractAsset) { $assetName = $assetName->getName(); } return \preg_match($filterExpression, $assetName); }; } public function setSchemaAssetsFilter(?callable $callable = null) : ?callable { $this->_attributes['filterSchemaAssetsExpression'] = null; return $this->_attributes['filterSchemaAssetsExpressionCallable'] = $callable; } public function getSchemaAssetsFilter() : ?callable { return $this->_attributes['filterSchemaAssetsExpressionCallable'] ?? null; } public function setAutoCommit($autoCommit) { $this->_attributes['autoCommit'] = (bool) $autoCommit; } public function getAutoCommit() { return $this->_attributes['autoCommit'] ?? \true; } } 