<?php
 namespace MailPoetVendor\Symfony\Component\Validator\Constraints; if (!defined('ABSPATH')) exit; use MailPoetVendor\Symfony\Component\ExpressionLanguage\ExpressionLanguage; use MailPoetVendor\Symfony\Component\Validator\Constraint; use MailPoetVendor\Symfony\Component\Validator\ConstraintValidator; use MailPoetVendor\Symfony\Component\Validator\Exception\LogicException; use MailPoetVendor\Symfony\Component\Validator\Exception\UnexpectedTypeException; class ExpressionValidator extends \MailPoetVendor\Symfony\Component\Validator\ConstraintValidator { private $expressionLanguage; public function __construct( $expressionLanguage = null ) { if (\func_num_args() > 1) { @\trigger_error(\sprintf('The "%s" instance should be passed as "%s" first argument instead of second argument since 4.4.', \MailPoetVendor\Symfony\Component\ExpressionLanguage\ExpressionLanguage::class, __METHOD__), \E_USER_DEPRECATED); $expressionLanguage = \func_get_arg(1); if (null !== $expressionLanguage && !$expressionLanguage instanceof \MailPoetVendor\Symfony\Component\ExpressionLanguage\ExpressionLanguage) { throw new \TypeError(\sprintf('Argument 2 passed to "%s()" must be an instance of "%s" or null, "%s" given. Since 4.4, passing it as the second argument is deprecated and will trigger a deprecation. Pass it as the first argument instead.', __METHOD__, \MailPoetVendor\Symfony\Component\ExpressionLanguage\ExpressionLanguage::class, \is_object($expressionLanguage) ? \get_class($expressionLanguage) : \gettype($expressionLanguage))); } } elseif (null !== $expressionLanguage && !$expressionLanguage instanceof \MailPoetVendor\Symfony\Component\ExpressionLanguage\ExpressionLanguage) { @\trigger_error(\sprintf('The "%s" first argument must be an instance of "%s" or null since 4.4. "%s" given', __METHOD__, \MailPoetVendor\Symfony\Component\ExpressionLanguage\ExpressionLanguage::class, \is_object($expressionLanguage) ? \get_class($expressionLanguage) : \gettype($expressionLanguage)), \E_USER_DEPRECATED); $expressionLanguage = null; } $this->expressionLanguage = $expressionLanguage; } public function validate($value, \MailPoetVendor\Symfony\Component\Validator\Constraint $constraint) { if (!$constraint instanceof \MailPoetVendor\Symfony\Component\Validator\Constraints\Expression) { throw new \MailPoetVendor\Symfony\Component\Validator\Exception\UnexpectedTypeException($constraint, \MailPoetVendor\Symfony\Component\Validator\Constraints\Expression::class); } $variables = $constraint->values; $variables['value'] = $value; $variables['this'] = $this->context->getObject(); if (!$this->getExpressionLanguage()->evaluate($constraint->expression, $variables)) { $this->context->buildViolation($constraint->message)->setParameter('{{ value }}', $this->formatValue($value, self::OBJECT_TO_STRING))->setCode(\MailPoetVendor\Symfony\Component\Validator\Constraints\Expression::EXPRESSION_FAILED_ERROR)->addViolation(); } } private function getExpressionLanguage() : \MailPoetVendor\Symfony\Component\ExpressionLanguage\ExpressionLanguage { if (null === $this->expressionLanguage) { if (!\class_exists('MailPoetVendor\\Symfony\\Component\\ExpressionLanguage\\ExpressionLanguage')) { throw new \MailPoetVendor\Symfony\Component\Validator\Exception\LogicException('Unable to use expressions as the Symfony ExpressionLanguage component is not installed.'); } $this->expressionLanguage = new \MailPoetVendor\Symfony\Component\ExpressionLanguage\ExpressionLanguage(); } return $this->expressionLanguage; } } 